package de.uni.kassel.se.creators;

import org.sdmlib.models.pattern.creators.PatternObjectCreator;

public class PitPOCreator extends PatternObjectCreator
{
   public Object getSendableInstance(boolean reference)
   {
      return new PitPO();
   }
   
   public Object getValue(Object target, String attrName)
   {
      return ((PitPO) target).get(attrName);
   }
   
   public boolean setValue(Object target, String attrName, Object value, String type)
   {
      return ((PitPO) target).set(attrName, value);
   }
}

