package de.uni.kassel.se.creators;

import org.sdmlib.models.pattern.creators.PatternObjectCreator;

public class StonePOCreator extends PatternObjectCreator
{
   public Object getSendableInstance(boolean reference)
   {
      return new StonePO();
   }
   
   public Object getValue(Object target, String attrName)
   {
      return ((StonePO) target).get(attrName);
   }
   
   public boolean setValue(Object target, String attrName, Object value, String type)
   {
      return ((StonePO) target).set(attrName, value);
   }
}

