package de.uni.kassel.se.creators;

import de.uni.kassel.se.creators.CreatorCreator;
import org.sdmlib.serialization.interfaces.EntityFactory;
import org.sdmlib.serialization.json.JsonIdMap;
import de.uni.kassel.se.Kalah;
import de.uni.kassel.se.Pit;

public class KalahCreator extends EntityFactory
{
   private final String[] properties = new String[]
   {
      Pit.PROPERTY_NR,
   };
   
   public String[] getProperties()
   {
      return properties;
   }
   
   public Object getSendableInstance(boolean reference)
   {
      return new Kalah();
   }
   
   public Object getValue(Object target, String attrName)
   {
      return ((Kalah) target).get(attrName);
   }
   
   public boolean setValue(Object target, String attrName, Object value, String type)
   {
      return ((Kalah) target).set(attrName, value);
   }
   
   public static JsonIdMap createIdMap(String sessionID)
   {
      return CreatorCreator.createIdMap(sessionID);
   }

   
   //==========================================================================
   
   @Override
   public void removeObject(Object entity)
   {
      ((Kalah) entity).removeYou();
   }
}

