package de.uni.kassel.se.creators;

import de.uni.kassel.se.creators.CreatorCreator;
import org.sdmlib.serialization.interfaces.EntityFactory;
import org.sdmlib.serialization.json.JsonIdMap;
import de.uni.kassel.se.Pit;

public class PitCreator extends EntityFactory
{
   private final String[] properties = new String[]
   {
      Pit.PROPERTY_NR,
      Pit.PROPERTY_MANCALA,
      Pit.PROPERTY_PLAYER,
      Pit.PROPERTY_NEXT,
      Pit.PROPERTY_PREVIOUS,
      Pit.PROPERTY_STONES,
   };
   
   public String[] getProperties()
   {
      return properties;
   }
   
   public Object getSendableInstance(boolean reference)
   {
      return new Pit();
   }
   
   public Object getValue(Object target, String attrName)
   {
      return ((Pit) target).get(attrName);
   }
   
   public boolean setValue(Object target, String attrName, Object value, String type)
   {
      return ((Pit) target).set(attrName, value);
   }
   
   public static JsonIdMap createIdMap(String sessionID)
   {
      return CreatorCreator.createIdMap(sessionID);
   }

   
   //==========================================================================
   
   @Override
   public void removeObject(Object entity)
   {
      ((Pit) entity).removeYou();
   }
}

